CURLOPT_SOCKS5_GSSAPI_SERVICE(3)

NAME
CURLOPT_SOCKS5_GSSAPI_SERVICE - SOCKS5 proxy authentication service name

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SOCKS5_GSSAPI_SERVICE, char *name);

DESCRIPTION
Deprecated since 7.49.0. Use CURLOPT_PROXY_SERVICE_NAME(3) instead.

Pass a char * as parameter to a string holding the name of the service. The default service name for a SOCKS5 server is "rcmd". This option allows you to change it.

DEFAULT
See above

PROTOCOLS
All network protocols

EXAMPLE
TODO

AVAILABILITY
Added in 7.19.4, deprecated in 7.49.0

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_PROXY(3), CURLOPT_PROXYTYPE(3),